Subject: Re: small tty problem? Re: Updated: cygwin-1.3.18-1
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 27 Dec 2002 17:29:00 -0500

On Fri, Dec 27, 2002 at 04:50:45PM -0500, Pierre A. Humblet wrote:
>On Thu, Dec 26, 2002 at 09:47:59PM -0500, Christopher Faylor wrote:
>> >^ note "q" before the prompt.
>> 
>> Interesting problem.  Should be fixed in current cvs. 
>
>Thanks Chris, looks fine here. But there is something similar...
>WinME, latest everything, Cygwin from cvs, CYGWIN undefined 
>
>try.sh is a 5 line demo script
># /bin/bash
>
>echo -n "Do you want to insert NL? (yes/no) "
>read answer
>echo "The answer was $answer"
>
>~: ./try.sh
>Do you want to insert NL? (yes/no) yes
>The answer was yes
>~: ssh localhost
><snip>
>You are successfully logged in to this server!!!
>
>~: ./try.sh
>Do you want to insert NL? (yes/no) yesThe answer was yes <= NO NL after yes
>                                                         <= Extra NL
>~: 
>
>Pierre
>
>P.S.: also during ssh session
>~: echo hello
>hello
>~: sh
>\w: echo hellohello
>\w:
>exit
>~:

This sounds like an excellent time for 1) you to learn tty internals or
2) Steve to step in.  I've been fixing problems in Steve's recent tty
changes and I think I'd like to enjoy my vacation and let someone else
take over from here.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/